import 'package:icash/pkgs/actions.dart';

class ResModel {
  static const String URL = "https://staging.icash.com.np/merchant-payment/";
  String process_id = "";
  String customer = "";
  String merchant = "";
  String amount = "";
  String transaction_id = "";
  String status = "";

  void fromUri(String url) {
    Uri uri = Uri.dataFromString(url);
    process_id = Uri.decodeFull(uri.queryParameters["process_id"].toString());
    customer = Uri.decodeFull(uri.queryParameters["customer"].toString());
    merchant = Uri.decodeFull(uri.queryParameters["merchant"].toString());
    amount = Uri.decodeFull(uri.queryParameters["amount"].toString());
    transaction_id =
        Uri.decodeFull(uri.queryParameters["transaction_id"].toString());
    status = ICactions.SUCCESS;
  }

  String toJson() {
    return '{"process_id":"$process_id","customer":"$customer","merchant":"$merchant","amount":"$amount","transaction_id":"$transaction_id","status":"$status"}';
  }

  Map<String, String> toMap() {
    return {
      "process_id": "$process_id",
      "customer": "$customer",
      "merchant": "$merchant",
      "amount": "$amount",
      "transaction_id": "$transaction_id",
      "status": "$status"
    };
  }
}
