import 'package:flutter/material.dart';
import 'package:icash/pkgs/ReqModel.dart';
import 'package:icash/pkgs/callbackIcash.dart';

class ProcessPay extends StatelessWidget {
  CallBackIcash _callBackIcash;
  ReqModel _reqModel;
  ProcessPay(this._callBackIcash, this._reqModel);

  bool flag = false;

  TextEditingController textFieldController = TextEditingController();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(title: Text('iCash Payment')),
      body: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          Padding(
            padding: const EdgeInsets.all(32.0),
            child: TextField(
              controller: textFieldController,
              style: TextStyle(
                fontSize: 24,
                color: Color.fromARGB(255, 34, 12, 12),
              ),
            ),
          ),
          RaisedButton(
            child: Text(
              'Send text back : ' + this._reqModel.process_id,
              style: TextStyle(fontSize: 24),
            ),
            onPressed: () {
              _sendDataBack(context);
            },
          )
        ],
      ),
    );
  }

  void _sendDataBack(BuildContext context) async {
    // start the SecondScreen and wait for it to finish with a result
    String textToSendBack = textFieldController.text;
    // this._callBackIcash.onResult(textToSendBack, ICactions.APP_CLOSED);
    Navigator.pop(context);
  }
}
